---
title: AudioTrack.kind
slug: Web/API/AudioTrack/kind
tags:
  - API
  - Audio
  - Audio Track
  - AudioTrack
  - HTML DOM
  - Media
  - Property
  - Read-only
  - Reference
  - id
  - track
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The <strong><code>kind</code></strong> property contains a string indicating the category of audio contained in the <strong>{{domxref("AudioTrack")}}</strong>.</span> The <code>kind</code> can be used to determine the scenarios in which specific tracks should be enabled or disabled. See {{anch("Audio track kind strings")}} for a list of the kinds available for audio tracks.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>trackKind</em> = <em>AudioTrack</em>.kind;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} specifying the type of content the media represents. The string is one of those found in {{anch("Audio track kind strings")}} below.</p>

<h2 id="Audio_track_kind_strings">Audio track kind strings</h2>

<p>The kinds available for audio tracks are:</p>

<dl>
 <dt><code>"alternative"</code></dt>
 <dd>A potential alternative to the main track, such as a different audio take or a version of the soundtrack with only the music and no dialogue.</dd>
 <dt><code>"descriptions"</code></dt>
 <dd>An audio track providing audible descriptions of the action depicted in a video track.</dd>
 <dt><code>"main"</code></dt>
 <dd>The primary audio track.</dd>
 <dt><code>"main-desc"</code></dt>
 <dd>The primary audio track with audio descriptions mixed into it.</dd>
 <dt><code>"translation"</code></dt>
 <dd>A translated version of the primary audio track.</dd>
 <dt><code>"commentary"</code></dt>
 <dd>An audio track containing a commentary. This might be used to contain the director's commentary track on a movie, for example.</dd>
 <dt><code>""</code> (empty string)</dt>
 <dd>The track doesn't have an explicit kind, or the kind provided by the track's metadata isn't recognized by the {{Glossary("user agent")}}.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'media.html#dom-audiotrack-kind', 'AudioTrack: kind')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'embedded-content-0.html#dom-audiotrack-kind', 'AudioTrack.kind')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AudioTrack.kind")}}</p>

